<?php
	$rdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $rdata)));
	$jdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $jdata)));
?>
<script>
	$j(function() {
		var tn = 'clients';

		/* data for selected record, or defaults if none is selected */
		var data = {
			type: <?php echo json_encode(array('id' => $rdata['type'], 'value' => $rdata['type'], 'text' => $jdata['type'])); ?>,
			nationalite: <?php echo json_encode(array('id' => $rdata['nationalite'], 'value' => $rdata['nationalite'], 'text' => $jdata['nationalite'])); ?>,
			fonction: <?php echo json_encode(array('id' => $rdata['fonction'], 'value' => $rdata['fonction'], 'text' => $jdata['fonction'])); ?>,
			lieu: <?php echo json_encode(array('id' => $rdata['lieu'], 'value' => $rdata['lieu'], 'text' => $jdata['lieu'])); ?>,
			banque: <?php echo json_encode(array('id' => $rdata['banque'], 'value' => $rdata['banque'], 'text' => $jdata['banque'])); ?>,
			carte_fidelite: <?php echo json_encode(array('id' => $rdata['carte_fidelite'], 'value' => $rdata['carte_fidelite'], 'text' => $jdata['carte_fidelite'])); ?>,
			agence: <?php echo json_encode(array('id' => $rdata['agence'], 'value' => $rdata['agence'], 'text' => $jdata['agence'])); ?>
		};

		/* initialize or continue using AppGini.cache for the current table */
		AppGini.cache = AppGini.cache || {};
		AppGini.cache[tn] = AppGini.cache[tn] || AppGini.ajaxCache();
		var cache = AppGini.cache[tn];

		/* saved value for type */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'type' && d.id == data.type.id)
				return { results: [ data.type ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for nationalite */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'nationalite' && d.id == data.nationalite.id)
				return { results: [ data.nationalite ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for fonction */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'fonction' && d.id == data.fonction.id)
				return { results: [ data.fonction ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for lieu */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'lieu' && d.id == data.lieu.id)
				return { results: [ data.lieu ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for banque */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'banque' && d.id == data.banque.id)
				return { results: [ data.banque ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for carte_fidelite */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'carte_fidelite' && d.id == data.carte_fidelite.id)
				return { results: [ data.carte_fidelite ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for agence */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'agence' && d.id == data.agence.id)
				return { results: [ data.agence ], more: false, elapsed: 0.01 };
			return false;
		});

		cache.start();
	});
</script>

